## mac-robber 1.02

=== Makefile ===
CC = gcc

GCC_DEBUG = -ggdb
GCC_OPT = -O3 -Wall -static
GCC_CFLAGS = $(GCC_OPT) 

SUN_OPT = -Bstatic
SUN_CFLAGS = $(SUN_OPT) 

all: mac-robber.c
	$(CC) $(GCC_CFLAGS) -o mac-robber mac-robber.c

linux: 
	$(CC) $(GCC_CFLAGS) -D_FILE_OFFSET_BITS=64 -o mac-robber mac-robber.c

linux_notstatic: 
	$(CC) -D_FILE_OFFSET_BITS=64 -o mac-robber mac-robber.c

sun:
	cc $(SUN_CFLAGS) -o mac-robber mac-robber.c

simple:
	$(CC) -o mac-robber mac-robber.c

clean:
	rm -f mac-robber *core

indent:
	indent *.c

=== debian/changelog ===
mac-robber (1.02-13) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/copyright:
     - Updated packaging copyright years.
     - Using a secure URL in Source field.
  * debian/watch: using a secure URL in search rule.

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 22 Feb 2022 19:09:59 -0300

mac-robber (1.02-12) unstable; urgency=medium

  * debian/tests/control:
      - Removed the second test because the /dev/loop0 device isn't available
        in CI containers.
      - Using fsdeploy to provide original-files in $AUTOPKGTEST_TMP (first
        test).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 07 Nov 2020 15:49:35 -0300

mac-robber (1.02-11) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/patches/10_add-GCC-hardening.patch: added field Forwarded.
  * debian/source/lintian-overrides: created to override a message about
    manpage file, as requested by lintian.
  * debian/tests/control: added two new tests based in forensics-samples-ext4
    and forensics-samples-files packages.
  * debian/upstream/metadata: created.

  [ Samuel Henrique ]
  * debian/test/control: Add superficial restriction. (Closes: #969841)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Oct 2020 21:23:37 -0300

mac-robber (1.02-10) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 13.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Apr 2020 00:33:17 -0300

mac-robber (1.02-9) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Feb 2020 19:11:25 -0300

mac-robber (1.02-8) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright:
      - Added packaging rights for Samuel Henrique.
      - Updated packaging copyright years.

  [ Samuel Henrique ]
  * Add salsa-ci.yml.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 21 Dec 2019 00:28:37 -0300

mac-robber (1.02-7) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/copyright:
      - Added rights for Helmut Grohne and Raphaël Hertzog.
      - Updated packaging copyright years.
      - Using a secure URI in Source field.
  * debian/tests/*: added a trivial test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 25 Oct 2018 23:16:38 -0300

mac-robber (1.02-6) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.1.4
  * Bump debhelper compat level to 11

  [ Helmut Grohne ]
  * Fix FTCBFS: let dh_auto_build pass cross tools to make (Closes: #894967)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 19 Apr 2018 23:11:49 +0200

mac-robber (1.02-5) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/man/:
      - Renamed to debian/manpage.
      - Switched genman.sh by create-man.sh.
  * debian/manpages: created to install the local manpage.
  * debian/patches/Makefile.patch: renamed to 10_add-GCC-hardening.patch.
  * debian/rules: removed the --parallel option from dh.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 30 Dec 2016 08:35:43 -0200

mac-robber (1.02-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Removed netcat from Suggests field.
  * debian/copyright:
      - Dropped dot-zero from GPL license short name.
      - Updated the packaging copyright years.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS
      variable to improve the GCC hardening.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 07 Sep 2015 22:27:41 -0300

mac-robber (1.02-3) unstable; urgency=medium

  * New maintainer email address.
  * debian/control:
      - Updated the Standards-Version from 3.9.4 to 3.9.5.
      - Updated the Vcs-Browser field.
  * debian/copyright: updated packaging copyright years.
  * debian/man/:
      - Added genman.sh to automate the manpage creation.
      - Fixed minus hyphen as minus sign in mac-robber.{txt,1}.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 09 Aug 2014 23:58:34 -0300

mac-robber (1.02-2) unstable; urgency=low

  * debian/control: fixed the Vcs-Browser field.
  * debian/rules: disabled the DH_VERBOSE option.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 17 Oct 2013 15:34:27 +0000

mac-robber (1.02-1) unstable; urgency=low

  * Initial release (Closes: #708528)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 16 May 2013 08:47:18 -0300

=== debian/control ===
Source: mac-robber
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.sleuthkit.org/mac-robber
Vcs-Browser: https://salsa.debian.org/pkg-security-team/mac-robber
Vcs-Git: https://salsa.debian.org/pkg-security-team/mac-robber.git

Package: mac-robber
Architecture: any
Suggests: sleuthkit
Enhances: sleuthkit
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: collects data about allocated files in mounted filesystems
 mac-robber is a digital investigation tool (digital forensics) that collects
 metadata from allocated files in a mounted filesystem. This is useful during
 incident response when analyzing a live system or when analyzing a dead
 system in a lab. The data can be used by the mactime tool in The Sleuth Kit
 (TSK or SleuthKit only) to make a timeline of file activity. The mac-robber
 tool is based on the grave-robber tool from TCT (The Coroners Toolkit).
 .
 mac-robber requires that the filesystem be mounted by the operating system,
 unlike the tools in The Sleuth Kit that process the filesystem themselves.
 Therefore, mac-robber will not collect data from deleted files or files that
 have been hidden by rootkits. mac-robber will also modify the Access times
 on directories that are mounted with write permissions.
 .
 mac-robber is useful when dealing with a filesystem that is not supported
 by The Sleuth Kit or other filesystem analysis tools. You can run mac-robber
 on an obscure, suspect UNIX filesystem that has been mounted read-only on a
 trusted system.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- linux_notstatic

=== debian/tests/control ===
Test-Command: mac-robber -V
Restrictions: superficial

Test-Command: echo $AUTOPKGTEST_TMP;
              fsdeploy original-files;
              mac-robber $AUTOPKGTEST_TMP | grep a-text
Depends: @, forensics-samples-files (>= 1.1.2-2)

=== debian/watch ===
version=4
https://sf.net/mac-robber/mac-robber-(\d\S+)\.tar\.(?:bz2|gz|xz)
